<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql_conex = '';
$sql = '';
$historia = '';

if($_REQUEST['sql_conex']){$sql_conex = $_REQUEST['sql_conex'];}
if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if( $_REQUEST["historia"]) {$historia = $_REQUEST['historia'];}
if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}

    $resultado = mysqli_query($con,$sql_conex);
    $resultado = mysqli_query($con,$sql);
 
        

        $sql = "SELECT MAX(elem_red) as maxid FROM cat_captaciones WHERE 1";
        $resultado = mysqli_query($con,$sql);
        $row = mysqli_fetch_assoc($resultado);
        $maxidcapta = $row["maxid"];

        $sql = "SELECT MAX(id) as maxid FROM cat_conex_capt WHERE 1";
        $resultado = mysqli_query($con,$sql);
        $row = mysqli_fetch_assoc($resultado);
        $maxidconex = $row["maxid"];

        $sql = "UPDATE cat_conex_capt SET id_captacion = " . $maxidcapta . " WHERE id = " . $maxidconex;
        $resultado = mysqli_query($con,$sql);  

        $sql = "UPDATE cat_captaciones SET id_conex_capt = " . $maxidconex . " WHERE elem_red = " . $maxidcapta;
        $resultado = mysqli_query($con,$sql);  




        $ccz = 'Sin Asignar';
        $sqlx = "SELECT NOMBRE, ASTEXT(SHAPE) AS geom FROM geo_cczs WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon . " " . $lat . ")'))";
        $resultadox = mysqli_query($con,$sqlx);
        if ($resultadox != FALSE){
            if (mysqli_num_rows($resultadox) == 1)
            {
                $rowx = mysqli_fetch_assoc($resultadox);
                $ccz=$rowx['NOMBRE'];
            }  
            elseif (mysqli_num_rows($resultadox) > 1)
            {
                while($rowx = mysqli_fetch_assoc($resultadox))
                {
                    $geom=$rowx['geom'];
                    $esinterior = dl_geometria::dl_punto_en_poligono($lat,$lon,$geom);
                    if ($esinterior){$ccz=$rowx['NOMBRE'];};
                }
            }
        }
        $cuenca = 0;
        $sqlx = "SELECT id, ASTEXT(SHAPE) AS geom FROM geo_cuencas WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon . " " . $lat . ")'))";
        $resultadox = mysqli_query($con,$sqlx);
        if ($resultadox != FALSE){
            if (mysqli_num_rows($resultadox) == 1)
            {
                $rowx = mysqli_fetch_assoc($resultadox);
                $cuenca=$rowx['id'];
            }  
            elseif (mysqli_num_rows($resultadox) > 1)
            {
                while($rowx = mysqli_fetch_assoc($resultadox))
                {
                    $geom=$rowx['geom'];
                    $esinterior = dl_geometria::dl_punto_en_poligono($lat,$lon,$geom);
                    if ($esinterior){$cuenca=$rowx['id'];};
                }
            }
        }
        
        $sql66 = "UPDATE cat_captaciones SET ccz = '" . $ccz . "', cuenca = " . $cuenca . " WHERE elem_red = " . $maxidcapta;
        $resultado66= mysqli_query($con,$sql66);



        $historia = str_replace("'","",$historia);


        $usuario = "administrador";
        if( $_REQUEST["usuario"] ) {
           $usuario = $_REQUEST['usuario'];
        }    
    
    if($historia != '')
    {
       $fecha = dl_fecha::dl_ahora_texto();
       $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $maxidcapta . ",'Se crea nueva captacion','NUEVA CAPTACION','" . $fecha . "','" . $usuario . "','CAPTACION')";
       $resultado = mysqli_query($con,$sql);
    }   

    $res = array();
    array_push($res,$maxidcapta);
    array_push($res,$maxidconex);
    array_push($res,$ccz);
    array_push($res,$cuenca);

mysqli_close($con);
echo json_encode($res);
?>





